<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/preview/init.jsp" %>

<%
String randomNamespace = PortalUtil.generateRandomKey(request, "portlet_document_library_view_file_entry_preview") + StringPool.UNDERLINE;

Map<String, Object> context = new HashMap<>();

List<String> previewFileURLs = (List<String>)request.getAttribute(DLPreviewVideoWebKeys.PREVIEW_FILE_URLS);

context.put(
	"videoSources",
	new ArrayList<Map<String, String>>() {
		{
			for (String previewFileURL : previewFileURLs) {
				if (Validator.isNotNull(previewFileURL)) {
					if (previewFileURL.endsWith("mp4")) {
						add(MapUtil.fromArray("type", "video/mp4", "url", previewFileURL));
					}
					else if (previewFileURL.endsWith("ogv")) {
						add(MapUtil.fromArray("type", "video/ogv", "url", previewFileURL));
					}
				}
			}
		}
	});
context.put("videoPosterURL", (String)request.getAttribute(DLPreviewVideoWebKeys.VIDEO_POSTER_URL));
%>

<liferay-util:html-top
	outputKey="document_library_preview_video_css"
>
	<link href="<%= PortalUtil.getStaticResourceURL(request, application.getContextPath() + "/preview/css/main.css") %>" rel="stylesheet" type="text/css" />
</liferay-util:html-top>

<soy:component-renderer
	componentId='<%= renderResponse.getNamespace() + randomNamespace + "previewVideo" %>'
	context="<%= context %>"
	module="preview/js/VideoPreviewer.es"
	templateNamespace="com.liferay.document.library.preview.VideoPreviewer.render"
/>